# Class StatPrinter

java.lang.Object
org.apache.zookeeper.cli.StatPrinter

public class StatPrinter extends Object
utility for printing stat values s

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PrintStream`
`out`

## Constructor Summary

Constructors
Constructor
Description
`StatPrinter(PrintStream out)`

## Method Summary

Modifier and Type
Method
Description
`void`
`print(Stat stat)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### out

protected PrintStream out

## Constructor Details

### StatPrinter

public StatPrinter(PrintStream out)

## Method Details

### print

public void print(Stat stat)